#### read_until (20 of 24 overloads)

Read data into a dynamic buffer sequence until it contains a specified delimiter.

    template<
        typename SyncReadStream,
        typename DynamicBuffer_v2>
    std::size_t read_until(
        SyncReadStream & s,
        DynamicBuffer_v2 buffers,
        string_view delim,
        asio::error_code & ec,
        typename enable_if< is_dynamic_buffer_v2< DynamicBuffer_v2 >::value >::type *  = 0);

This function is used to read data into the specified dynamic buffer sequence until the dynamic buffer sequence's get area contains the specified delimiter. The call will block until one of the following conditions is true:

- The get area of the dynamic buffer sequence contains the specified delimiter.
- An error occurred.

This operation is implemented in terms of zero or more calls to the stream's read_some function. If the dynamic buffer sequence's get area already contains the delimiter, the function returns immediately.

###### Parameters

s

  The stream from which the data is to be read. The type must support the SyncReadStream concept.

buffers

  The dynamic buffer sequence into which the data will be read.

delim

  The delimiter string.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes in the dynamic buffer sequence's get area up to and including the delimiter. Returns 0 if an error occurred.

###### Remarks

After a successful read_until operation, the dynamic buffer sequence may contain additional data beyond the delimiter. An application will typically leave that data in the dynamic buffer sequence for a subsequent read_until operation to examine.